# This is an example .goreleaser.yml file with some sensible defaults.
# Make sure to check the documentation at https://goreleaser.com
project_name: softwatch
before:
  hooks:
    # You may remove this if you don't use go modules.
    - go mod tidy
builds:
  - env:
      - CGO_ENABLED=0
    goos:
      - linux
    goarch:
      - amd64
      - arm
    goarm:
      - 7

archives:
  - format: tar.gz
    # this name template makes the OS and Arch compatible with the results of uname.
    name_template: >-
      {{ .ProjectName }}_{{ .Version }}_{{ .Arch }}

checksum:
  name_template: 'checksums.txt'

snapshot:
  name_template: "{{ incpatch .Version }}-prebuild"

changelog:
  sort: asc
  filters:
    exclude:
      - '^docs:'
      - '^test:'
      - 'stuff'

gitea_urls:
  api: https://git.keks.cloud/api/v1
  download: https://git.keks.cloud
  # set to true if you use a self-signed certificate
  skip_tls_verify: false